<?php
 class osC_Payment_easypay extends osC_Payment_Admin {

/**
 * The administrative title of the payment module
 *
 * @var string
 * @access private
 */
  var $_title;
  
/**
 * The code of the payment module
 *
 * @var string
 * @access private
 */

  var $_code = 'easypay';
  
/**
 * The developers name
 *
 * @var string
 * @access private
 */

  var $_author_name = 'Easypay';
  
/**
 * The developers address
 *
 * @var string
 * @access private
 */  
  
  var $_author_www = 'https://ssl.easypay.by/';
  
/**
 * The status of the module
 *
 * @var boolean
 * @access private
 */

  var $_status = false;
  
/**
 * Constructor
 */

  function osC_Payment_easypay() {
    global $osC_Language;
    
    $this->_title = $osC_Language->get('payment_easypay_title');
    $this->_description = $osC_Language->get('payment_easypay_description');
    $this->_method_title = $osC_Language->get('payment_easypay_method_title');
    $this->_status = (defined('MODULE_PAYMENT_EASYPAY_STATUS') && (MODULE_PAYMENT_EASYPAY_STATUS == '1') ? true : false);
    $this->_sort_order = (defined('MODULE_PAYMENT_EASYPAY_SORT_ORDER') ? MODULE_PAYMENT_EASYPAY_SORT_ORDER : null);
  }
  
/**
 * Checks to see if the module has been installed
 *
 * @access public
 * @return boolean
 */

  function isInstalled() {
    return (bool)defined('MODULE_PAYMENT_EASYPAY_STATUS');
  }
  
/**
 * Installs the module
 *
 * @access public
 * @see osC_Payment_Admin::install()
 */

  function install() {
    global $osC_Database, $osC_Language;
      
    parent::install();
    
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('* Активировать оплату через EasyPay', 'MODULE_PAYMENT_EASYPAY_STATUS', '-1', 'Хотите ли Вы принимать платежи через систему EasyPay?', '6', '0', 'osc_cfg_set_boolean_value(array(1, -1))', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('*Номер Поставщика', 'MODULE_PAYMENT_EASYPAY_MERCHANT_ID', '', 'Выдается Администратором при подключении к EasyPay.', '6', '0', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('*Ключ для авторизации счетов', 'MODULE_PAYMENT_EASYPAY_WEBKEY', '', 'Web_key (выдается Администратором при подключении к EasyPay).', '6', '0', now())");
	$osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('*Срок действия счета', 'MODULE_PAYMENT_EASYPAY_EXPIRES', '3', 'Число от 1 до 30, если период задан в днях или от 600 до 3600*24, если период задан в секундах.', '6', '0', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('*Режим отладки', 'MODULE_PAYMENT_EASYPAY_DEBUG', '0', '0 – отладочный режим отключен, 1 – включен. В этом режиме выводится подробная информация о передаваемых данных. Выписка счетов и оплата при включенном режиме осуществляется реальная.', '6', '0', now())");
  
    
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Сортировка.', 'MODULE_PAYMENT_EASYPAY_SORT_ORDER', '0', 'Порядок сортировки отображения.', '6', '0', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Зона оплаты', 'MODULE_PAYMENT_EASYPAY_ZONE', '0', 'Если выбрана зона, то способ оплаты будет действовать для выбранной зоны. (Оставить без изменения)', '6', '0', 'osc_cfg_use_get_zone_class_title', 'osc_cfg_set_zone_classes_pull_down_menu', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('*Статус заказа после оформления', 'MODULE_PAYMENT_EASYPAY_PROCESSING_ORDER_STATUS_ID', '" . ORDERS_STATUS_PROCESSING . "', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");
    $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('* Статус заказа после оплаты', 'MODULE_PAYMENT_EASYPAY_ORDER_STATUS_ID', '" . ORDERS_STATUS_PAID . "', '', '6', '0', 'osc_cfg_set_order_statuses_pull_down_menu', 'osc_cfg_use_get_order_status_title', now())");

  }

/**
 * Return the configuration parameter keys in an array
 *
 * @access public
 * @return array
 */

  function getKeys() {
    if (!isset($this->_keys)) {
      $this->_keys = array( 'MODULE_PAYMENT_EASYPAY_STATUS', 
							'MODULE_PAYMENT_EASYPAY_MERCHANT_ID',
                            'MODULE_PAYMENT_EASYPAY_WEBKEY',
						    'MODULE_PAYMENT_EASYPAY_EXPIRES',
							'MODULE_PAYMENT_EASYPAY_DEBUG',
							
                           'MODULE_PAYMENT_EASYPAY_ZONE',
                           'MODULE_PAYMENT_EASYPAY_PROCESSING_ORDER_STATUS_ID',
                           'MODULE_PAYMENT_EASYPAY_ORDER_STATUS_ID', 
                           'MODULE_PAYMENT_EASYPAY_SORT_ORDER',
                           );
    }
  
    return $this->_keys;
 } 
}
?>
